---
apiVersion: v1
kind: Namespace
metadata:
  name: openshift-multiarch-tuning-operator
---
apiVersion: v1
kind: ServiceAccount
metadata:
  name: openshift-multiarch-tuning-operator-installer
  namespace: openshift-multiarch-tuning-operator
---
apiVersion: rbac.authorization.k8s.io/v1
kind: ClusterRoleBinding
metadata:
  name: openshift-multiarch-tuning-operator-installer-binding
roleRef:
  apiGroup: rbac.authorization.k8s.io
  kind: ClusterRole
  name: cluster-admin
subjects:
- kind: ServiceAccount
  name: openshift-multiarch-tuning-operator-installer
  namespace: openshift-multiarch-tuning-operator
---
apiVersion: olm.operatorframework.io/v1
kind: ClusterCatalog
metadata:
  labels:
    olm.operatorframework.io/metadata.name: openshift-redhat-operators-v420
  name: openshift-redhat-operators-v420
spec:
  availabilityMode: Available
  priority: -100
  source:
    image:
      pollIntervalMinutes: 10
      ref: registry.redhat.io/redhat/redhat-operator-index:v4.20
    type: Image
---
apiVersion: olm.operatorframework.io/v1
kind: ClusterExtension
metadata:
  name: openshift-multiarch-tuning-operator
spec:
  namespace: openshift-multiarch-tuning-operator
  serviceAccount:
    name: openshift-multiarch-tuning-operator-installer
  source:
    sourceType: Catalog
    catalog:
      packageName: multiarch-tuning-operator
      channels: 
        - stable
      version: 1.2.0

